{%- assign inputs = include.params -%}
<!-- media type should be one of these four values: video-youtube, video-vimeo, slideshow, image, quote, link -->
<!--================ Entities (Style 7) ================-->
<div class="milenia-entities milenia-entities--style-7 milenia-entities--list">
    <div class="milenia-grid milenia-grid--cols-1">
        <div class="milenia-grid-sizer"></div>
        {%- for post in site.posts -%}
        <div class="milenia-grid-item">
            {%- assign mtype = post.mediaType | strip -%}
            <!--================ Entity ================-->
            {%- if mtype == 'image' -%}
            <article class="milenia-entity--format-image milenia-entity">
                <div class="milenia-entity-media"><a href="{{post.url}}" class="milenia-ln--independent"><img src="{{post.mainImage}}"
                            alt=""></a>
                </div>
                <div class="milenia-entity-content milenia-aligner">
                    <div class="milenia-aligner-outer">
                        <div class="milenia-aligner-inner">
                            <header class="milenia-entity-header">
                                <div class="milenia-entity-meta">
                                    <div>
                                        <time datetime="{{post.date}}">{{post.date | date: "%B, %-d, %Y"}}</time>
                                    </div>
                                </div>
                                <h2 class="milenia-entity-title"><a href="{{post.url}}"
                                        class="milenia-color--unchangeable">{{post.title}}</a></h2>
                            </header>
                            <div class="milenia-entity-body">
                                <p>{{post.excerpt}}</p>
                            </div>
                            <footer class="milenia-entity-footer"><a href="{{post.url}}"
                                    class="milenia-btn milenia-btn--link milenia-btn--scheme-primary">Read More</a>
                            </footer>
                        </div>
                    </div>
                </div>
            </article>
            {%- elsif mtype == 'slideshow' -%}
            <article class="milenia-entity--format-slideshow milenia-entity">
                <div class="milenia-entity-media">
                    <div class="owl-carousel owl-carousel--nav-edges milenia-simple-slideshow">
                        {%- for image in post.mainImages -%}
                        <img src="{{image}}" alt="">
                        {%- endfor -%}
                    </div>
                </div>
                <div class="milenia-entity-content milenia-aligner">
                    <div class="milenia-aligner-outer">
                        <div class="milenia-aligner-inner">
                            <header class="milenia-entity-header">
                                <div class="milenia-entity-meta">
                                    <div>
                                        <time datetime="{{post.date}}">{{post.date | date: "%B, %-d, %Y"}}</time>
                                    </div>
                                </div>
                                <h2 class="milenia-entity-title"><a href="{{post.url}}"
                                        class="milenia-color--unchangeable">{{post.title}}</a></h2>
                            </header>
                            <div class="milenia-entity-body">
                                <p>{{post.excerpt}} </p>
                            </div>
                            <footer class="milenia-entity-footer"><a href="{{post.url}}"
                                    class="milenia-btn milenia-btn--link milenia-btn--scheme-primary">Read More</a>
                            </footer>
                        </div>
                    </div>
                </div>
            </article>
            {%- elsif mtype == 'quote' -%}
            <article class="milenia-entity--format-quote milenia-entity">
                <div class="milenia-entity-media">
                    <blockquote>“{{post.quote.text}}”
                        <cite>{{post.quote.city}}</cite>
                    </blockquote>
                </div>
                <div class="milenia-entity-content milenia-aligner">
                    <div class="milenia-aligner-outer">
                        <div class="milenia-aligner-inner">
                            <header class="milenia-entity-header">
                                <div class="milenia-entity-meta">
                                    <div>
                                        <time datetime="{{post.date}}">{{post.date | date: "%B, %-d, %Y"}}</time>
                                    </div>
                                </div>
                                <h2 class="milenia-entity-title"><a href="{{post.url}}"
                                        class="milenia-color--unchangeable">{{post.title}}</a></h2>
                            </header>
                            <div class="milenia-entity-body">
                                <p>{{post.excerpt}}</p>
                            </div>
                            <footer class="milenia-entity-footer"><a href="{{post.url}}"
                                    class="milenia-btn milenia-btn--link milenia-btn--scheme-primary">Read More</a>
                            </footer>
                        </div>
                    </div>
                </div>
            </article>
            {%- elsif mtype == 'video-vimeo' -%}
            <article class="milenia-entity--format-video milenia-entity">
                <div class="milenia-entity-media">
                    <div class="milenia-responsive-iframe">
                        <iframe src="{{post.vurl}}"></iframe>
                    </div>
                </div>
                <div class="milenia-entity-content milenia-aligner">
                    <div class="milenia-aligner-outer">
                        <div class="milenia-aligner-inner">
                            <header class="milenia-entity-header">
                                <div class="milenia-entity-meta">
                                    <div>
                                        <time datetime="{{post.date}}">{{post.date | date: "%B, %-d, %Y"}}</time>
                                    </div>
                                </div>
                                <h2 class="milenia-entity-title"><a href="{{post.url}}"
                                        class="milenia-color--unchangeable">{{post.title}}</a></h2>
                            </header>
                            <div class="milenia-entity-body">
                                <p>{{post.excerpt}}</p>
                            </div>
                            <footer class="milenia-entity-footer"><a href="{{post.url}}"
                                    class="milenia-btn milenia-btn--link milenia-btn--scheme-primary">Read More</a>
                            </footer>
                        </div>
                    </div>
                </div>
            </article>
            {%- elsif mtype == 'link' -%}
            <article class="milenia-entity--format-link milenia-entity">
                <div class="milenia-entity-media"><a href="#"
                        class="milenia-entity-link-element milenia-ln--independent"><i
                            class="icon icon-link2"></i>{{post.linkTitle}}</a>
                </div>
                <div class="milenia-entity-content milenia-aligner">
                    <div class="milenia-aligner-outer">
                        <div class="milenia-aligner-inner">
                            <header class="milenia-entity-header">
                                <div class="milenia-entity-meta">
                                    <div>
                                        <time datetime="{{post.date}}">{{post.date | date: "%B, %-d, %Y"}}</time>
                                    </div>
                                </div>
                                <h2 class="milenia-entity-title"><a href="{{post.url}}"
                                        class="milenia-color--unchangeable">{{post.title}}</a></h2>
                            </header>
                        </div>
                    </div>
                </div>
            </article>
            {%- elsif mtype == 'video-youtube' -%}
            <article class="milenia-entity--format-video milenia-entity">
                <div class="milenia-entity-media">
                    <div class="milenia-responsive-iframe">
                        <iframe src="{{post.vurl}}"></iframe>
                    </div>
                </div>
                <div class="milenia-entity-content milenia-aligner">
                    <div class="milenia-aligner-outer">
                        <div class="milenia-aligner-inner">
                            <header class="milenia-entity-header">
                                <div class="milenia-entity-meta">
                                    <div>
                                        <time datetime="{{post.date}}">{{post.date | date: "%B, %-d, %Y"}}</time>
                                    </div>
                                </div>
                                <h2 class="milenia-entity-title"><a href="{{post.url}}"
                                        class="milenia-color--unchangeable">{{post.title}}</a></h2>
                            </header>
                            <div class="milenia-entity-body">
                                <p>{{post.excerpt}} </p>
                            </div>
                            <footer class="milenia-entity-footer"><a href="{{post.url}}"
                                    class="milenia-btn milenia-btn--link milenia-btn--scheme-primary">Read More</a>
                            </footer>
                        </div>
                    </div>
                </div>
            </article>
            {%- endif -%}

            <!--================ End of Entity ================-->
        </div>
        {%- endfor -%}
    </div>
</div>
<!--================ End of Entities (Style 7) ================-->
